# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{qpid_proton}
  s.version = "0.21.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Darryl L. Pierce", "Alan Conway"]
  s.date = %q{2018-03-06}
  s.description = %q{Proton is a high performance, lightweight messaging library. It can be used in
the widest range of messaging applications including brokers, client libraries,
routers, bridges, proxies, and more. Proton is based on the AMQP 1.0 messaging
standard.
}
  s.email = ["proton@qpid.apache.org"]
  s.extensions = ["ext/cproton/extconf.rb"]
  s.files = ["ChangeLog", "LICENSE", "TODO", "examples/README.md", "examples/broker.rb", "examples/client.rb", "examples/direct_recv.rb", "examples/direct_send.rb", "examples/example_test.rb", "examples/helloworld.rb", "examples/server.rb", "examples/simple_recv.rb", "examples/simple_send.rb", "examples/ssl_certs/README.txt", "examples/ssl_certs/tclient-certificate.p12", "examples/ssl_certs/tclient-certificate.pem", "examples/ssl_certs/tclient-full.p12", "examples/ssl_certs/tclient-private-key.pem", "examples/ssl_certs/tserver-certificate.p12", "examples/ssl_certs/tserver-certificate.pem", "examples/ssl_certs/tserver-full.p12", "examples/ssl_certs/tserver-private-key.pem", "examples/ssl_send.rb", "ext/cproton/cproton.c", "ext/cproton/extconf.rb", "lib/codec/data.rb", "lib/codec/mapping.rb", "lib/core/condition.rb", "lib/core/connection.rb", "lib/core/connection_driver.rb", "lib/core/container.rb", "lib/core/delivery.rb", "lib/core/disposition.rb", "lib/core/endpoint.rb", "lib/core/event.rb", "lib/core/exceptions.rb", "lib/core/link.rb", "lib/core/listener.rb", "lib/core/message.rb", "lib/core/messaging_handler.rb", "lib/core/receiver.rb", "lib/core/sasl.rb", "lib/core/sender.rb", "lib/core/session.rb", "lib/core/ssl.rb", "lib/core/ssl_details.rb", "lib/core/ssl_domain.rb", "lib/core/terminus.rb", "lib/core/tracker.rb", "lib/core/transfer.rb", "lib/core/transport.rb", "lib/core/uri.rb", "lib/core/url.rb", "lib/handler/adapter.rb", "lib/handler/messaging_adapter.rb", "lib/handler/messaging_handler.rb", "lib/handler/reactor_messaging_adapter.rb", "lib/messenger/messenger.rb", "lib/messenger/subscription.rb", "lib/messenger/tracker.rb", "lib/messenger/tracker_status.rb", "lib/qpid_proton.rb", "lib/reactor/container.rb", "lib/types/array.rb", "lib/types/described.rb", "lib/types/hash.rb", "lib/types/strings.rb", "lib/types/type.rb", "lib/util/deprecation.rb", "lib/util/error_handler.rb", "lib/util/timeout.rb", "lib/util/version.rb", "lib/util/wrapper.rb", "tests/old_examples/broker.rb", "tests/old_examples/client.rb", "tests/old_examples/direct_recv.rb", "tests/old_examples/direct_send.rb", "tests/old_examples/helloworld.rb", "tests/old_examples/helloworld_direct.rb", "tests/old_examples/lib/debugging.rb", "tests/old_examples/lib/driver.rb", "tests/old_examples/lib/qpid_examples.rb", "tests/old_examples/lib/selectable.rb", "tests/old_examples/lib/send_and_receive.rb", "tests/old_examples/old_example_test.rb", "tests/old_examples/recv.rb", "tests/old_examples/send.rb", "tests/old_examples/server.rb", "tests/old_examples/simple_recv.rb", "tests/old_examples/simple_send.rb", "tests/test_connection_driver.rb", "tests/test_container.rb", "tests/test_data.rb", "tests/test_delivery.rb", "tests/test_interop.rb", "tests/test_messaging_adapter.rb", "tests/test_old_adapter.rb", "tests/test_tools.rb", "tests/test_uri.rb"]
  s.homepage = %q{http://qpid.apache.org/proton}
  s.licenses = ["Apache-2.0"]
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3")
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{Ruby language bindings for the Qpid Proton messaging framework}

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
    else
    end
  else
  end
end
